Freeciv-3.1: /fast/freeciv/nightly/S3_1/tools/fcmp/modinst.h File Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Data Structures | Macros | Functions
modinst.h File Reference
`#include "specenum_gen.h"`

Go to the source code of this file.

## Data Structures

struct | fcmp_params

## Macros

#define | MODPACK_LIST_URL "https://modpack.freeciv.org/" DATASUBDIR "/modpack.list"
#define | DEFAULT_URL_START "https://modpack.freeciv.org/" DATASUBDIR "/"
#define | EXAMPLE_URL DEFAULT_URL_START "ancients.modpack"
#define | SPECENUM_NAME modpack_type
#define | SPECENUM_VALUE0 MPT_RULESET
#define | SPECENUM_VALUE0NAME N_("Ruleset")
#define | SPECENUM_VALUE1 MPT_TILESET
#define | SPECENUM_VALUE1NAME N_("Tileset")
#define | SPECENUM_VALUE2 MPT_MODPACK
#define | SPECENUM_VALUE2NAME N_("Modpack")
#define | SPECENUM_VALUE3 MPT_SCENARIO
#define | SPECENUM_VALUE3NAME N_("Scenario")
#define | SPECENUM_VALUE4 MPT_SOUNDSET
#define | SPECENUM_VALUE4NAME N_("Soundset")
#define | SPECENUM_VALUE5 MPT_MUSICSET
#define | SPECENUM_VALUE5NAME N_("Musicset")
#define | SPECENUM_VALUE6 MPT_MODPACK_GROUP
#define | SPECENUM_VALUE6NAME N_("Group")

## Functions

void | fcmp_init (void)
void | fcmp_deinit (void)
void | load_install_info_lists (struct fcmp_params *fcmp)

## Macro Definition Documentation

## ◆ DEFAULT_URL_START

#define DEFAULT_URL_START "https://modpack.freeciv.org/" DATASUBDIR "/"

Definition at line 32 of file modinst.h.

## ◆ EXAMPLE_URL

#define EXAMPLE_URL DEFAULT_URL_START "ancients.modpack"

Definition at line 35 of file modinst.h.

## ◆ MODPACK_LIST_URL

#define MODPACK_LIST_URL "https://modpack.freeciv.org/" DATASUBDIR "/modpack.list"

Definition at line 30 of file modinst.h.

## ◆ SPECENUM_NAME

#define SPECENUM_NAME modpack_type

Definition at line 37 of file modinst.h.

## ◆ SPECENUM_VALUE0

#define SPECENUM_VALUE0 MPT_RULESET

Definition at line 38 of file modinst.h.

## ◆ SPECENUM_VALUE0NAME

#define SPECENUM_VALUE0NAME N_("Ruleset")

Definition at line 39 of file modinst.h.

## ◆ SPECENUM_VALUE1

#define SPECENUM_VALUE1 MPT_TILESET

Definition at line 40 of file modinst.h.

## ◆ SPECENUM_VALUE1NAME

#define SPECENUM_VALUE1NAME N_("Tileset")

Definition at line 41 of file modinst.h.

## ◆ SPECENUM_VALUE2

#define SPECENUM_VALUE2 MPT_MODPACK

Definition at line 42 of file modinst.h.

## ◆ SPECENUM_VALUE2NAME

#define SPECENUM_VALUE2NAME N_("Modpack")

Definition at line 43 of file modinst.h.

## ◆ SPECENUM_VALUE3

#define SPECENUM_VALUE3 MPT_SCENARIO

Definition at line 44 of file modinst.h.

## ◆ SPECENUM_VALUE3NAME

#define SPECENUM_VALUE3NAME N_("Scenario")

Definition at line 45 of file modinst.h.

## ◆ SPECENUM_VALUE4

#define SPECENUM_VALUE4 MPT_SOUNDSET

Definition at line 46 of file modinst.h.

## ◆ SPECENUM_VALUE4NAME

#define SPECENUM_VALUE4NAME N_("Soundset")

Definition at line 47 of file modinst.h.

## ◆ SPECENUM_VALUE5

#define SPECENUM_VALUE5 MPT_MUSICSET

Definition at line 48 of file modinst.h.

## ◆ SPECENUM_VALUE5NAME

#define SPECENUM_VALUE5NAME N_("Musicset")

Definition at line 49 of file modinst.h.

## ◆ SPECENUM_VALUE6

#define SPECENUM_VALUE6 MPT_MODPACK_GROUP

Definition at line 50 of file modinst.h.

## ◆ SPECENUM_VALUE6NAME

#define SPECENUM_VALUE6NAME N_("Group")

Definition at line 51 of file modinst.h.

## Function Documentation

## ◆ fcmp_deinit()

void fcmp_deinit | ( | void |  | ) |

Deinitialize modpack installer

Definition at line 98 of file modinst.c.

Referenced by main(), and main().

## ◆ fcmp_init()

void fcmp_init | ( | void |  | ) |

Initialize modpack installer

Definition at line 82 of file modinst.c.

Referenced by main(), and main().

## ◆ load_install_info_lists()

void load_install_info_lists | ( | struct fcmp_params * | fcmp | ) |

Load all required install info lists.

Definition at line 44 of file modinst.c.

Referenced by main(), and main().